## qt4-tqt-theme-engine 14.1.5

=== examples/stylewindow/Makefile ===
#############################################################################
# Makefile for building: ../styleplugin
# Generated by qmake (2.01a) (Qt 4.7.4) on: Mon Jan 2 01:57:07 2012
# Project:  stylewindow.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -o Makefile stylewindow.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_WEBKIT -DTQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I.
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib/i386-linux-gnu -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = stylewindow.cpp \
		main.cpp moc_stylewindow.cpp
OBJECTS       = stylewindow.o \
		main.o \
		moc_stylewindow.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		stylewindow.pro
QMAKE_TARGET  = styleplugin
DESTDIR       = ../
TARGET        = ../styleplugin

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	@$(CHK_DIR_EXISTS) ../ || $(MKDIR) ../ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: stylewindow.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/i386-linux-gnu/libQtGui.prl \
		/usr/lib/i386-linux-gnu/libQtCore.prl
	$(QMAKE) -o Makefile stylewindow.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/i386-linux-gnu/libQtGui.prl:
/usr/lib/i386-linux-gnu/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile stylewindow.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/styleplugin1.0.0 || $(MKDIR) .tmp/styleplugin1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/styleplugin1.0.0/ && $(COPY_FILE) --parents stylewindow.h .tmp/styleplugin1.0.0/ && $(COPY_FILE) --parents stylewindow.cpp main.cpp .tmp/styleplugin1.0.0/ && (cd `dirname .tmp/styleplugin1.0.0` && $(TAR) styleplugin1.0.0.tar styleplugin1.0.0 && $(COMPRESS) styleplugin1.0.0.tar) && $(MOVE) `dirname .tmp/styleplugin1.0.0`/styleplugin1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/styleplugin1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_stylewindow.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_stylewindow.cpp
moc_stylewindow.cpp: stylewindow.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) stylewindow.h -o moc_stylewindow.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

stylewindow.o: stylewindow.cpp stylewindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o stylewindow.o stylewindow.cpp

main.o: main.cpp stylewindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

moc_stylewindow.o: moc_stylewindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_stylewindow.o moc_stylewindow.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/qt4/examples/tools/styleplugin/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/qt4/examples/tools/styleplugin/ 
	-$(INSTALL_PROGRAM) "../$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/lib/qt4/examples/tools/styleplugin/$(QMAKE_TARGET)"
	-$(STRIP) "$(INSTALL_ROOT)/usr/lib/qt4/examples/tools/styleplugin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/qt4/examples/tools/styleplugin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/qt4/examples/tools/styleplugin/ 


install_sources: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/qt4/examples/tools/styleplugin/stylewindow/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/qt4/examples/tools/styleplugin/stylewindow/ 
	-$(INSTALL_FILE) /root/tdeqt4styleplugin/stylewindow/stylewindow.cpp $(INSTALL_ROOT)/usr/lib/qt4/examples/tools/styleplugin/stylewindow/
	-$(INSTALL_FILE) /root/tdeqt4styleplugin/stylewindow/main.cpp $(INSTALL_ROOT)/usr/lib/qt4/examples/tools/styleplugin/stylewindow/
	-$(INSTALL_FILE) /root/tdeqt4styleplugin/stylewindow/stylewindow.h $(INSTALL_ROOT)/usr/lib/qt4/examples/tools/styleplugin/stylewindow/
	-$(INSTALL_FILE) /root/tdeqt4styleplugin/stylewindow/stylewindow.pro $(INSTALL_ROOT)/usr/lib/qt4/examples/tools/styleplugin/stylewindow/


uninstall_sources:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/lib/qt4/examples/tools/styleplugin/stylewindow/stylewindow.cpp 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/usr/lib/qt4/examples/tools/styleplugin/stylewindow/main.cpp 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/usr/lib/qt4/examples/tools/styleplugin/stylewindow/stylewindow.h 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/usr/lib/qt4/examples/tools/styleplugin/stylewindow/stylewindow.pro
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/qt4/examples/tools/styleplugin/stylewindow/ 


install:  install_target install_sources  FORCE

uninstall: uninstall_target uninstall_sources   FORCE

FORCE:

## qt4-tqt-theme-engine 14.1.1

=== debian/changelog ===
qt4-tqt-theme-engine (4:14.1.1-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#qt4-tqt-theme-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 10 Oct 2023 06:34:21 +0200

qt4-tqt-theme-engine (0.1-0ubuntu0) karmic; urgency=low

  * Karmic build

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 07 May 2012 01:10:00 -0600

=== debian/control ===
Source: qt4-tqt-theme-engine
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: debhelper (>= 9~), quilt, cdbs, tdelibs14-trinity-dev, libqt4-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: qt4-tqt-theme-engine
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: TDE theme engine for Qt4
 TDE theme engine for Qt4

## qt4-tqt-theme-engine 14.1.3

=== debian/changelog ===
qt4-tqt-theme-engine (4:14.1.3-0raspbian10.0.0+0) raspbian-buster; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#qt4-tqt-theme-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 18 Dec 2023 14:40:02 +0100

## qt4-tqt-theme-engine 14.1.4

=== debian/changelog ===
qt4-tqt-theme-engine (4:14.1.4-0ubuntu18.04.0+0) bionic; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#qt4-tqt-theme-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 02 Apr 2025 09:38:36 +0200

## qt4-tqt-theme-engine 14.1.5

=== debian/changelog ===
qt4-tqt-theme-engine (4:14.1.5-0ubuntu18.04.0+0) bionic; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#qt4-tqt-theme-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 02 Apr 2025 09:38:36 +0200

## qt4-tqt-theme-engine 14.2.0~pre6

=== debian/changelog ===
qt4-tqt-theme-engine (4:14.2.0~pre6-0ubuntu18.04.0+1) bionic; urgency=low

  * Automated git build for 02ef06e12d37e33079582a9e5ec2fc94c0c6aa19
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#qt4-tqt-theme-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 30 Mar 2025 12:09:04 +0200
